- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Deployment::ExecutionManager Interface Reference

`import "ExecutionManager.idl";`

List of all members.

## Public Member Functions
DomainApplicationManager | preparePlan (in DeploymentPlan plan, in boolean commitResources) raises (ResourceNotAvailable, PlanError, StartError)
DomainApplicationManagers | getManagers ()
DomainApplicationManager | getManager (in string plan_uuid) raises (PlanNotExist)
void | destroyManager (in DomainApplicationManager manager) raises (StopError)
void | destroyManagerByPlan (in string plan_uuid) raises (StopError)
DeploymentPlan | getPlan (in string plan_uuid)
void | perform_redeployment (in DeploymentPlan new_plan) raises (PlanError, InstallationFailure, UnknownImplId, ImplEntryPointNotFound, InvalidConnection, InvalidProperty, ::Components::RemoveFailure)

## Member Function Documentation

void Deployment::ExecutionManager::destroyManager | ( | in DomainApplicationManager | manager | ) | raises (StopError)

void Deployment::ExecutionManager::destroyManagerByPlan | ( | in string | plan_uuid | ) | raises (StopError)

CIAO specific extention Destroy ApplicationManagers by plan_uuid, the unique semantics of this operation lies in the fact that if some components are still up and running, then the ApplicationManagers won't be destroyed.

DomainApplicationManager Deployment::ExecutionManager::getManager | ( | in string | plan_uuid | ) | raises (PlanNotExist)

DomainApplicationManagers Deployment::ExecutionManager::getManagers | ( |  | ) |

DeploymentPlan Deployment::ExecutionManager::getPlan | ( | in string | plan_uuid | ) |

CIAO specific extention "Get" operation, return the DeploymentPlan

void Deployment::ExecutionManager::perform_redeployment | ( | in DeploymentPlan | new_plan | ) | raises (PlanError, InstallationFailure, UnknownImplId, ImplEntryPointNotFound, InvalidConnection, InvalidProperty, ::Components::RemoveFailure)

CIAO specific operation to handle dynamic system redeployment and reconfiguration This operation could handle dynamic redeployment, and this is the operation exposed to clients directly. Other "perform_redeployment" operation defined on DAM and NA are implementaion details within DAnCE.

DomainApplicationManager Deployment::ExecutionManager::preparePlan | ( | in DeploymentPlan | plan,
|  | in boolean | commitResources |
| ) |  |  | raises (ResourceNotAvailable, PlanError, StartError)

The documentation for this interface was generated from the following file:

- ExecutionManager.idl